drumkv1 - an old-school drum-kit sampler
----------------------------------------

  an old-school drum-kit sampler synthesizer with stereo fx.

Features:

  - pure stand-alone JACK [1] client with JACK-session, NSM [3] and both
    JACK MIDI and ALSA MIDI [2] input support;

  - LV2 [4] instrument plugin.
    URI: http://drumkv1.sourceforge.net/lv2

License:

  drumkv1 is free, Linux Audio [5] open-source software, distributed under
  the terms of the GNU General Public License (GPL) [6] version 2 or later.

Website:

  https://drumkv1.sourceforge.io
  http://drumkv1.sourceforge.net

Project page:

  https://sourceforge.net/projects/drumkv1

Git repos:

  https://git.code.sf.net/p/drumkv1/code
  https://github.com/rncbc/drumkv1.git
  https://gitlab.com/rncbc/drumkv1.git
  https://bitbucket.org/rncbc/drumkv1.git

Weblog:

  https://www.rncbc.org

Requirements:

  mandatory,

  - Qt framework [7], C++ class library and tools for
    cross-platform application and UI development
    https://qt.io/

  - libsndfile [9], C library for reading and writing
    files containing sampled sound
    http://www.mega-nerd.com/libsndfile/

  optional (opted-in at build time),

  - JACK [1] Audio Connection Kit
    https://jackaudio.org/

  - ALSA [2], Advanced Linux Sound Architecture
    https://www.alsa-project.org/

  - LV2 [4], Audio Plugin Standard, the extensible successor of LADSPA
    https://lv2plug.in/

  - liblo [8], Lightweight OSC implementation
    (needed for NSM support [3])
    http://liblo.sourceforge.net/

Installation:

  - unpack tarball as usual; in the extracted source directory:

    cmake [-DCMAKE_INSTALL_PREFIX=/usr/local] -B build -S .
    make -C build

  - optionally, as root:

    sudo make -C build install

  - see also the README.cmake file in the source distribution.

Acknowledgements:

  drumkv1 logo/icon is an original fine work of Jarle Richard Akselsen.

References:

 [1] JACK Audio Connection Kit
     https://jackaudio.org/

 [2] ALSA, Advanced Linux Sound Architecture
     https://www.alsa-project.org/

 [3] Non Session Management (NSM)
     http://non.tuxfamily.org/nsm/

 [4] LV2, Audio Plugin Standard, the extensible successor of LADSPA
     http://lv2plug.in/

 [5] Linux Audio consortium of libre software for audio-related work
     https://linuxaudio.org

 [6] GNU General Public License
     https://www.gnu.org/copyleft/gpl.html

 [7] Qt framework, C++ class library and tools for
     cross-platform application and UI development
     https://qt.io/

 [8] liblo [8], Lightweight OSC implementation
     (needed for NSM support)
     http://liblo.sourceforge.net/

 [9] libsndfile, C library for reading and writing
     files containing sampled sound
     http://www.mega-nerd.com/libsndfile/


Cheers && enjoy.
--
rncbc aka. Rui Nuno Capela
rncbc at rncbc dot org
https://www.rncbc.org
